#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QWidget>

class MapView3D;
class MapView2D;

class MainMenu;
class SensorDataWidget;
class InfoWidget;

class MainWindow : public QWidget {
	Q_OBJECT

public:

	/** ctor */
	explicit MainWindow(QWidget *parent = 0);

private:

	MapView3D* mapView3D = nullptr;
	MapView2D* mapView2D = nullptr;

	MainMenu* mainMenu = nullptr;
	InfoWidget* infoWidget = nullptr;
	SensorDataWidget* sensorWidget = nullptr;

public:

	MapView3D* getMapView3D() const {return mapView3D;}
	MapView2D* getMapView2D() const {return mapView2D;}

	MainMenu* getMainMenu() const {return mainMenu;}
	InfoWidget* getInfoWidget() const {return infoWidget;}
	SensorDataWidget* getSensorDataWidget() const {return sensorWidget;}

signals:

public slots:

	void resizeEvent(QResizeEvent* event);

};

#endif // MAINWINDOW_H
